> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax profile

> Get the authenticated user's tax profile configuration



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs get /v6/taxes/setup
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/taxes/setup:
    get:
      tags:
        - Tax Profile
      summary: Get tax profile
      description: Get the authenticated user's tax profile configuration
      operationId: getTaxSetup
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseTaxSetupGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    SuccessResponseTaxSetupGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/TaxSetupGetDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    TaxSetupGetDto:
      required:
        - annualW2Income
        - countryCode
        - expenses
        - filingStatus
        - homeOffice
        - income
        - isSetupComplete
        - mileage
        - numExemptions
        - overtimeIncome
        - state
        - tipIncome
        - withholding
      type: object
      properties:
        countryCode:
          type: string
          description: ISO 3166-1 alpha-3 country code
          nullable: true
          example: USA
        state:
          type: string
          description: >-
            Two-character state/province abbreviation for which tax needs to be
            calculated
          nullable: true
          example: DC
        filingStatus:
          $ref: '#/components/schemas/FilingStatusSetup'
        annualW2Income:
          type: integer
          description: Annual W-2 income total, in cents
          format: int32
          nullable: true
          example: 1000000
        withholding:
          $ref: '#/components/schemas/Withholding'
        numExemptions:
          type: integer
          description: Number of state personal exemptions the tax filer qualifies for
          format: int32
          nullable: true
          example: 1
        tipIncome:
          type: integer
          description: Year-to-date W-2 income from tips, in cents
          format: int32
          nullable: true
          example: 500000
        overtimeIncome:
          type: integer
          description: Year-to-date W-2 income from overtime, in cents
          format: int32
          nullable: true
          example: 300000
        homeOffice:
          $ref: '#/components/schemas/HomeOffice'
        mileage:
          $ref: '#/components/schemas/Mileage'
        expenses:
          $ref: '#/components/schemas/Expenses'
        income:
          $ref: '#/components/schemas/Income'
        isSetupComplete:
          type: boolean
          description: Whether the user's tax profile is complete
          nullable: true
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    FilingStatusSetup:
      type: object
      properties:
        federal:
          type: string
          description: Federal tax filing status
          example: SINGLE
          enum:
            - SINGLE
            - MARRIED
            - MARRIED_SEPARATELY
            - HEAD
            - WIDOWER
        state:
          type: string
          description: State tax filing status
          example: SINGLE
          enum:
            - SINGLE
            - MARRIED
            - MARRIED_SEPARATELY
            - HEAD
            - WIDOWER
      description: Federal and state filing status
      nullable: false
    Withholding:
      type: object
      properties:
        useWithholding:
          type: boolean
          description: >-
            Set to true if the user wants to specify their own W-2 withholding
            amounts
          example: true
        federalWithholding:
          type: integer
          description: Federal W-2 withholding amount, in cents
          format: int32
          example: 100051
        stateWithholding:
          type: integer
          description: State W-2 withholding amount, in cents
          format: int32
          example: 100051
      description: W-2 withholding configuration
      nullable: false
    HomeOffice:
      type: object
      properties:
        useHomeOfficeDeduction:
          type: boolean
          description: >-
            Set to true if the user wants to use the simplified home office
            deduction
          example: true
        homeOfficeArea:
          type: number
          description: >-
            Size of home office in square feet; required if using the simplified
            home office deduction
          example: 250.5
      description: Home office deduction configuration
      nullable: false
    Mileage:
      type: object
      properties:
        useEstimate:
          type: boolean
          description: >-
            Set to true if the user wants to use their own annual business
            mileage estimate
        estimate:
          type: integer
          description: >-
            Annual business mileage estimate in miles; required if using
            user-estimated business mileage
          format: int32
          example: 1000
        useMileageDeduction:
          type: boolean
          description: >-
            Set to true if the user will use the standard mileage rate (vs
            actual auto expenses)
          example: false
        vehicleBusinessPercent:
          type: string
          description: Business vehicle use percentage for Canadian users
          example: '49.9'
      description: Business mileage configuration
      nullable: false
    Expenses:
      type: object
      properties:
        useEstimate:
          type: boolean
          description: >-
            Set to true if the user wants to use their own annual business
            expenses estimate
        estimate:
          type: integer
          description: >-
            Annual business expenses estimate, in cents; required if using
            user-estimated business expenses
          format: int32
          example: 55176
      description: Business expenses estimate configuration
      nullable: false
    Income:
      type: object
      properties:
        useEstimate:
          type: boolean
          description: >-
            Set to true if the user wants to use their own annual business
            income estimate
        estimate:
          type: integer
          description: >-
            Annual business income estimate, in cents; required if using
            user-estimated business income
          format: int32
          example: 55176
      description: Business income estimate configuration
      nullable: false
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````